#!/bin/sh

set -x -v

PACKAGEDIR="$PWD"
PRODUCT="ICeCoffEE"

cd "$PRODUCT" && \
find . -name \*~ -exec rm '{}' \; && \
VERSION=`cat VERSION` && \
DMG="$PRODUCT-$VERSION.dmg" VOL="$PRODUCT $VERSION" && \
DSTROOT="$PACKAGEDIR/$VOL" && \
sudo rm -rf "$DSTROOT" && \
sudo rm -rf build/ && \
rm -rf build/ && \
xcodebuild -target "ICeCoffEE Installer" -buildstyle Deployment "DSTROOT=$DSTROOT" DEPLOYMENT_LOCATION=YES install && \
mkdir "$DSTROOT" && \
mv "build/$PRODUCT Installer.app" "$DSTROOT/$PRODUCT $VERSION Installer.app" && \
sudo rm -rf build/ && \
find "$DSTROOT" -name ".svn" -type d -exec sudo /bin/rm -rf "{}" \; ; \
cd "$PACKAGEDIR" && \
rm -f "$DMG" && \
hdiutil create "$DMG" -megabytes 5 -ov -layout NONE -fs 'HFS+' -volname "$VOL" && \
MOUNT=`hdiutil attach "$DMG"` && \
DISK=`echo "$MOUNT" | sed -ne ' s|^/dev/\([^ ]*\).*$|\1|p'` && \
MOUNTPOINT=`echo "$MOUNT" | sed -ne 's|^.*\(/Volumes/.*\)$|\1|p'` && \
ditto -rsrc "$DSTROOT" "$MOUNTPOINT" && \
sudo chmod -R a+rX,u+w "$MOUNTPOINT" && \
# openUp "$MOUNTPOINT" && \
hdiutil detach $DISK && \
hdiutil resize -sectors min "$DMG" && \
hdiutil convert "$DMG" -format UDZO -imagekey zlib-level=9 -o "z$DMG" && \
mv "z$DMG" "$DMG" && \
hdiutil internet-enable "$DMG" && \
# scp "$DMG" ainaz:web/nriley/software/
:
